Bug 27 - Infinite loop in _XftSmoothGlyphMono
Summary: Infinite loop in _XftSmoothGlyphMono
Status: CLOSED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Lib/Xft (show other bugs)
Version: unspecified
Hardware: x86 (IA32) Linux (All)
: high normal
Assignee: Keith Packard
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-02-13 21:59 UTC by Nalin Dahyabhai
Modified: 2011-10-15 17:14 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
simple fix for the loop (271 bytes, patch)
2003-02-13 22:00 UTC, Nalin Dahyabhai
no flags Details | Splinter Review

Description Nalin Dahyabhai 2003-02-13 21:59:59 UTC
_XftSmoothGlyphMono will go into an infinite loop because w is never decremented.
Comment 1 Nalin Dahyabhai 2003-02-13 22:00:59 UTC
Created attachment 19 [details] [review]
simple fix for the loop
Comment 2 Keith Packard 2003-02-14 12:26:49 UTC
Your patch looks fine.  Thanks muchly.
Comment 3 Jeremy Huddleston Sequoia 2011-10-01 14:11:49 UTC
Mass update: Close all bugs resolved over one year ago.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.